#! /bin/bash
#
# written by Thorsten Glebe, November 1997
# Max-Planck-Institut of Nuclear Physics
# Heidelberg / Germany
#
# Script which has the functionality of command -v
#
# 1. argument: command 
#
if [ $# -ne 1 ]; then
  exit 2
fi

ERGEBN=`which $1`
echo $ERGEBN | grep " in " 1>/dev/null
RET=$?

if [ $RET -eq 1 ]; then
  echo $ERGEBN
  exit 0
else
  exit 1
fi
