#ifndef _ARTE_PROTO_HH_
#define _ARTE_PROTO_HH_

extern struct {
  int nzebra, gversn;
  float zversn;
  int ixstor, ixevnt, ixcons, fendq[16], lq[8], iq[1];
} gcbank_;


extern "C" {

  void dgevnt_();
  // Digitization of the current event.

  void rcevnt_();
  // Track reconstruction (not yet implemented).

  void tfinit_();
  // Initialize track reconstruction.

  void tfideal_( const float& p_min,
                 const int& hit_min,
                 const float& z_min,
                 const float& z_max,
                 const int& elec_corr);
  // Ideal track reconstruction.

  void mmbook_( int& link, const int&number );
  // Relation thing.
  
  class ArteLink;
  class ArtePointerBase;
  
  void mmbrel_( const int& link,
		const ArtePointerBase& e1,
		const ArtePointerBase& e2 );
  
  void atmain_();
  void hgevnt_();
  void dgevnt_();

  void usinit_();
  void usevnt_();
  void usstop_();

  void careevnt1_();
  void careevnt2_();
}

void atregkuip( void (*function)(), int priority );
// register kuip installation function

#endif
