// **********************************************************************
//
// source:
//
// type:      source code
//
// created:   22. Apr 1999
//
// author:    Thorsten Glebe
//            HERA-B Collaboration
//            Max-Planck-Institut fuer Kernphysik
//            Saupfercheckweg 1
//            69117 Heidelberg
//            Germany
//            E-mail: T.Glebe@mpi-hd.mpg.de
//
// Description: Quick adaption of track segments from different 
//              detector subsystems.
//
// changes:
// 22 Apr 2000 created by C. Borgmeier
// 03 Nov 2000 (TG) removed #include
// 20 Nov 2000 (TG) added namespace CLUE
// 12 Jan 2001 (TG) removed obsolete include files
//
// **********************************************************************

#include "clue/CustomTrack.hh"

#ifdef NAMESPACE
namespace CLUE {
#endif

#ifdef USE_ROOT
ClassImp(VDS_Track)
ClassImp(OTR_SpacePoint)
ClassImp(RICH_Track)
ClassImp(MuonTrack)
#endif

#ifdef NAMESPACE
} // end of namespace CLUE
#endif
