#ifndef SPECIALIZE_HH
#define SPECIALIZE_HH


#ifdef __CINT__
#define GObjArraySpecialize(tmp)

#else
#if !(__GNUC__==2 && __GNUC_MINOR__<91)

#define GObjArraySpecialize(tmp) \
template <> void GObjArray<tmp*>::ShowMembers(TMemberInspector &, char *);\
template <> void GObjArray<tmp*>::Streamer( TBuffer& );\
template <> \
void GObjArrayIterator<tmp*>::ShowMembers(TMemberInspector &, char *);\
template <> void GObjArrayIterator<tmp*>::Streamer( TBuffer& );\
template <> \
void ConstGObjArrayIterator<tmp*>::ShowMembers(TMemberInspector &, char *);\
template <> void ConstGObjArrayIterator<tmp*>::Streamer( TBuffer& );\
template <> TBuffer& operator>>( TBuffer& buf, GObjArray<tmp*>*& obj );\
template <> void GClonesArray<tmp*>::ShowMembers(TMemberInspector &, char *);\
template <> void GClonesArray<tmp*>::Streamer( TBuffer& );\
template <> void ArteTable<tmp>::ShowMembers(TMemberInspector &, char *);\
template <> void ArteTable<tmp>::Streamer( TBuffer& );\
template <> TBuffer& operator>>( TBuffer& buf, GClonesArray<tmp*>*& obj );

#else

#define GObjArraySpecialize(tmp) \
TBuffer& operator>>( TBuffer& buf, GObjArray<tmp*>*& obj );\
TBuffer& operator>>( TBuffer& buf, GClonesArray<tmp*>*& obj );

#endif
#endif

GObjArraySpecialize(RecoTrack)
GObjArraySpecialize(RecoVertex)
GObjArraySpecialize(Wire)
GObjArraySpecialize(MC_Track)
GObjArraySpecialize(MC_Vertex)
GObjArraySpecialize(RecoSegment)
GObjArraySpecialize(VDS_Track)
GObjArraySpecialize(OTR_SpacePoint)
GObjArraySpecialize(RICH_Track)
GObjArraySpecialize(MuonTrack)
GObjArraySpecialize(PatternMatch)
GObjArraySpecialize(TrackBase)
GObjArraySpecialize(Topp)
GObjArraySpecialize(TrackClones)
GObjArraySpecialize(EcalHit)

#undef GObjArraySpecialize
#endif
