// ********************************************************************
//
// source:
//
// type:      source code
//
// created:   16. Nov 2000
//
// author:    Thorsten Glebe
//            HERA-B Collaboration
//            Max-Planck-Institut fuer Kernphysik
//            Saupfercheckweg 1
//            69117 Heidelberg
//            Germany
//            E-mail: T.Glebe@mpi-hd.mpg.de
//
// Description: GEOMETRY forward declarations
//
// changes:
// 16 Nov 2000 creation
// 20 Nov 2000 (TG) added namespace CLUE
//
// ********************************************************************
#ifndef CLUE_FWD_HH
#define CLUE_FWD_HH

#ifdef NAMESPACE
namespace CLUE {
#endif

  class  Point3D;
  class  ThreeVector;
  class  LorentzVector;

#ifdef NAMESPACE
} // namespace CLUE
#endif
#endif
