// *****************************************************************************
//
// source:
//
// type:      source code
//
// created:   01. Feb 2001
//
// author:    Thorsten Glebe
//            HERA-B Collaboration
//            Max-Planck-Institut fuer Kernphysik
//            Saupfercheckweg 1
//            69117 Heidelberg
//            Germany
//            E-mail: T.Glebe@mpi-hd.mpg.de
//
// Description: Class to initialize the Pattern package
//
// changes:
// 01 Feb 2001 (TG) creation
//
// *****************************************************************************

#include "pattern/CVStag.pattern"
#include "clue/PkgIni.hh"
#include "pattern/PatternIni.hh"

#ifdef NAMESPACE
namespace CLUE {
#endif

// global Gate symbol
const PkgIni PatternSteer(xcvsMODULE_pattern, xcvsVERSION_pattern, xcvsDAYTIME_pattern);

#ifdef NAMESPACE
} // namespace CLUE
#endif
