// *****************************************************************************
//
// source:
//
// type:      source code
//
// created:   13. Nov 2000
//
// author:    Thorsten Glebe
//            HERA-B Collaboration
//            Max-Planck-Institut fuer Kernphysik
//            Saupfercheckweg 1
//            69117 Heidelberg
//            Germany
//            E-mail: T.Glebe@mpi-hd.mpg.de
//
// Description: include file which handles ArteTables 
//
// changes:
// 13 Nov 2000 (TG) creation
// 16 Nov 2000 (TG) getIDX(), getPTR() added
// 16 Nov 2000 (TG) added statements for usage in ARTE
// 25 Nov 2000 (TG) moved getIDX(), getPTR() to clue/cluearte.hh
//
// *****************************************************************************
#ifndef ARTE_HH
#define ARTE_HH

#include "arte/ArtePointer.hh"
#include "arte/ArteTable.hh"

#ifndef NO_ARTE
#if defined(USE_ROOT) && !defined(__CINT__)
#include <TClass.h>
#endif
#include "auto/auto.hh"
#include "arte/ArteProto.hh"
#endif

#include "arte/ArteRelations.hh"
#include "arte/ArteTable.icc"


#endif
