#ifdef __CINT__

#pragma link off all globals;
#pragma link off all classes;
#pragma link off all functions;

#pragma link C++ nestedclasses;
#pragma link C++ nestedtypedefs;

// in case GObjArray is a member of a class,
// these #pragma must come first
// #pragma link C++ class GObjArray<TrackBase*>;
//#pragma link C++ class GObjArray<PatternMatch*>;
#pragma link C++ class GObjArray<RecoSegment*>;
#pragma link C++ class GObjArray<Wire*>;
#pragma link C++ class GObjArray<EcalHit*>;
#pragma link C++ class GObjArray<RecoTrack*>;
#pragma link C++ class GObjArray<RecoVertex*>;
#pragma link C++ class GObjArray<MC_Track*>;
#pragma link C++ class GObjArray<MC_Vertex*>;
#pragma link C++ class GObjArray<Topp*>;
#pragma link C++ class GObjArray<TrackClones*>;
#pragma link C++ class GObjArray<VDS_Track*>;
#pragma link C++ class GObjArray<OTR_SpacePoint*>;
#pragma link C++ class GObjArray<RICH_Track*>;
#pragma link C++ class GObjArray<MuonTrack*>;

#pragma link C++ class StreamObject-;
#pragma link C++ class RtEvent-;

#pragma link C++ class EcalHit-;
#pragma link C++ class PkgIni;
#pragma link C++ class Topp;
#pragma link C++ class Wire;

//#pragma link C++ class  TrackBase;
#pragma link C++ class  MC_Vertex-;
#pragma link C++ class  MC_Track-;
#pragma link C++ class  RsegC;
#pragma link C++ class  RecoSegment-;
#pragma link C++ class  TrackClones-;
#pragma link C++ class  RecoTrack-;
#pragma link C++ class  RecoVertex-;

#pragma link C++ class VDS_Track;
#pragma link C++ class OTR_SpacePoint;
#pragma link C++ class RICH_Track;
#pragma link C++ class MuonTrack;

#pragma link C++ class GTopp-;

#pragma link C++ function distance( const Wire&, const RecoSegment&);
#pragma link C++ function distance( const RecoSegment&, const Wire&);

#pragma link C++ function operator<<( std::ostream&, const PkgIni& );
#pragma link C++ function operator<<( std::ostream&, const RtEvent& );
#pragma link C++ function operator<<( ostream&, const RsegC& );
#pragma link C++ function operator<<( ostream&, const EcalHit& );
// #pragma link C++ function operator<<( ostream&, const TrackBase& );
#pragma link C++ function operator<<( ostream&, const TrackClones& );
#pragma link C++ function operator<<( ostream&, const RecoVertex& );
#pragma link C++ function operator<<( ostream&, const RecoTrack& );
#pragma link C++ function operator<<( ostream&, const MC_Track& );
#pragma link C++ function operator<<( ostream&, const MC_Vertex& );
#pragma link C++ function operator<<( ostream&, const Topp& );
#pragma link C++ function operator<<( ostream&, const Wire& );
#pragma link C++ function operator<<( ostream&, const GTopp& );

#pragma link C++ global ClueSteer;

#include "PdtNamesDict.h"
#include "gate/GateLinkDef.hh"
#include "clue/ClueLinkDef.hh"

#include "grelation/LinkDef.hh"
#include "gcombiner/LinkDef.hh"

#endif
