#ifndef __PID_HH
#define __PID_HH
// **********************************************************************
//
// source:
//
// type:      source code
//
// created:   16.07.2001
//
// author:    Thorsten Glebe
//            HERA-B Collaboration
//            Max-Planck-Institut fuer Kernphysik
//            Saupfercheckweg 1
//            69117 Heidelberg
//            Germany
//            E-mail: T.Glebe@mpi-hd.mpg.de
//
// Description: Particle ID definitions
//
// changes:
// 16 Jul 2001 (TG) creation from Michael Schmellings code
//
// **********************************************************************

/** Definitions for Particle ID's
    @author T. Glebe
*/
//==============================================================================
// PID
//==============================================================================
class PID {
public:
  static const int electron =  1;
  static const int muon     =  2;
  static const int pion     =  4;
  static const int kaon     =  8;
  static const int proton   = 16;
}; // end of PID
#endif
